七牛SDK for PHP
===============

> 运行环境要求PHP7.2+，兼容PHP8.1
>
> 基于`ThinkPHP 6.0`框架开发

## 👇基本特性查看THINKPHP官方文档

[完全开发手册](https://www.kancloud.cn/manual/thinkphp6_0/content)

## 简单使用

* 使用命令行生成基本的Model，Services，Validate和Controller

~~~
php think make
~~~

可选参数

~~~
-t/-table  数据表名称，可不带前缀
~~~

~~~
-f/-force  默认不强制执行，值为1时强制执行，强制覆盖原有文件或删除
~~~

~~~
-d/-delete  删除模式，值为1时，删除对应4个文件
~~~

~~~
-p/-path  指定生成目录，默认情况下，根据数据表名生成路径。
例如:"user"默认会生成到"app/model"目录下。
但如有指定目录，例如指定 "-p user",则会生成到"app/model/user"目录下。
再如:"user_bill_log"默认会生成到"app/model/user/bill"目录下。
但如有指定目录，例如指定 "-p user",则也会生成到"app/model/user"目录下。
~~~

~~~
-x/-hidden  指定隐藏字段，隐藏字段不显示，也不进默认导出列表，使用","分割。
~~~

* 数据处理

后台默认根控制器（app\common\AdminBaseController）内默认有以下方法，可以进行数据处理

~~~
index 列表，可在控制器使用searchable指定查询字段，按需修改
save 新增，可在控制器内createParams字段处理数据，按下方结构
update 修改 同👆
delete 删除 数据库内有delete_time自动开启软删除
export 导出，导出字段在生成Service时有默认设置，按需要自行修改
~~~

* 数据库的建立

